Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Class InstanceResultObjectProvider

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
          org.apache.openjpa.jdbc.kernel.InstanceResultObjectProvider

All Implemented Interfaces:
  ResultObjectProvider, Closeable

Direct Known Subclasses:
  PreparedResultObjectProvider

    public class InstanceResultObjectProvider

extends SelectResultObjectProvider

Object provider implementation wrapped around a `Select`.

Author:
  Abe White

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`_res`

Constructor Summary
`InstanceResultObjectProvider(SelectExecutor sel, ClassMapping mapping, JDBCStore store, JDBCFetchConfiguration fetch)` Constructor.

Method Summary
`Object` | `getResultObject()` Instantiate the current result object.

Methods inherited from class org.apache.openjpa.jdbc.kernel.SelectResultObjectProvider
`absolute, close, getFetchConfiguration, getResult, getSelect, getStore, handleCheckedException, next, open, reset, setSize, size, supportsRandomAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceResultObjectProvider

    public InstanceResultObjectProvider(SelectExecutor sel,
                                        ClassMapping mapping,
                                        JDBCStore store,
                                        JDBCFetchConfiguration fetch)

  Constructor.

  Parameters:
    `sel` - the select to execute
    `mapping` - the mapping for the base class of the result objects
    `store` - the store to delegate loading to
    `fetch` - the fetch configuration, or null for default

Method Detail

### getResultObject

    public Object getResultObject()
                           throws SQLException

  Description copied from interface: `ResultObjectProvider`
  Instantiate the current result object. This method will only be called after `ResultObjectProvider.next()` or `ResultObjectProvider.absolute(int)`.

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.